Bug 166446 - cups usb hp-psc-1200 printer sharing not working
cups usb hp-psc-1200 printer sharing not working
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-08-21 13:06 EDT by John Ellson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-20 09:54:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Ellson 2005-08-21 13:06:05 EDT
Description of problem:
I have a locally connected USB HP-PSC-1210 printer that is working ok
for print jobs from the local host, but which fails when I try to print to it
via CUPs from a remote machine.

On the local machine:
    /var/log/messages contains:
        Aug 21 09:54:45 ontap hpiod: unable to read     
uri:hp:/usb/psc_1200_series?device=/dev/usb/lp0 Device::DeviceID: No such device

    lpq shows:
        psc-1200-series--1 is ready
        no entries

    Document print status from the gnome printer applet shows
        only unreleated completed jobs.

On the remote machine:
    /var/log/messages contains nothing relevant.

    lpq shows:
        psc-1200-series--1 is ready
        no entries

    Document print status from the gnome printer applet shows
        the failed print jobs as stuck with a "Sending" status.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.try to print anything from ermote machine to shared printer
Actual results:
Accepts jobs, then nothing.  Jobs gets stuck with "sending" status.

Expected results:
Working printing system.
More informative error messages to the user.

Additional info:
Comment 1 Tim Waugh 2005-09-05 09:48:48 EDT
How have you configured this queue?
Comment 2 John Ellson 2005-09-10 23:27:17 EDT
On the "server" (the machine with the printer) from Desktop->SystemSettings->Printer
as a shared printer.

On the "client" I set printer in the "Browsed Queues" to be the default printer.

Can do much more right now as I'm getting:

root@ontap:~# service cups restart
Stopping cups:                                             [  OK  ]
Starting cups: Traceback (most recent call last):
  File "/usr/sbin/printconf-backend", line 7, in ?
    import backend
  File "/usr/share/printconf/util/backend.py", line 42, in ?
    import rhpl.ethtool
ImportError: /usr/lib64/python2.4/site-packages/rhpl/ethtool.so: undefined
symbol: iw_pr_ether
                                                           [  OK  ]
Comment 3 Tim Waugh 2005-12-20 09:54:27 EST
Presumably this works now?  It certainly works for me..

Note You need to log in before you can comment on or make changes to this bug.